git-annex/ git-annex-assist

# NAME

git-annex assist - add files and sync changes with remotes

# SYNOPSIS

git annex assist `[remote ...]`

# DESCRIPTION

This command assists you in checking files into the repository and syncing with remotes. It's the simplest possible way to use git-annex at the command line, since only this one command needs to be run on a regular basis.

This command first adds any new files to the repository, and commits those as well as any modified files. Then it does the equivilant of running [git-annex-pull followed by git-annex-push(1).

This command operates on all files in the whole working tree, even when ran in a subdirectory. To limit it to operating on files in a subdirectory, use the `--content-of` option.

To block some files from being added to the repository, use `.gitignore` files.

By default, all files that are added are added to the annex, the same as when you run `git annex add`. If you configure annex.largefiles, files that it does not match will instead be added with `git add`.

# OPTIONS

- `--message=msg` `-m msg`

  Use this option to specify a commit message.

  If multiple -m options are given, their values are concatenated as separate paragraphs.

- `--content-of=path` `-C path`

  Only add, pull, and push files in the given path.

  This option can be repeated multiple times with different paths.

- Also all options supported by git-annex-pull(1) and git-annex-push(1) can be used.

- Also the git-annex-common-options(1) can be used.

# SEE ALSO

git-annex(1)

git-annex-add(1)

git-annex-pull(1)

git-annex-push(1)

git-annex-sync(1)

git-annex-assistant(1)

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

Comments on this page are closed.